package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_CRAFTWORK_SET所对应的实体类（生成工具：代码生成器2.4）
 * @author DM22222   date 2016-01-11
 */
public class MilCraftworkSetEntity {
    /**
     * 版本ID"B00001"
     */
    private String classId;
    /**
     * 版本名称
     */
    private String className;
    /**
     * 参数ID
     */
    private String factorId;
    /**
     * 参数名称
     */
    private String factorName;
    /**
     * 参数值
     */
    private String factorVal;
    /**
     * 机组ID
     */
    private String plineCode;
    /**
     * 机组名称
     */
    private String plineName;
    /**
     * 工序点代码
     */
    private String stationCode;
    /**
     * 工序点名称
     */
    private String stationDesc;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;

    public MilCraftworkSetEntity(){
        classId = "";
        className = "";
        factorId = "";
        factorName = "";
        factorVal = "";
        plineCode = "";
        plineName = "";
        stationCode = "";
        stationDesc = "";
        validflag = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
    }

    /**
     * 版本ID"B00001"
     * @return value
     */
    public String getClassId() {
        return classId;
    }

    /**
     * 版本ID"B00001"
     * @param classId value
     */
    public void setClassId(String classId) {
        this.classId = classId;
    }

    /**
     * 版本名称
     * @return value
     */
    public String getClassName() {
        return className;
    }

    /**
     * 版本名称
     * @param className value
     */
    public void setClassName(String className) {
        this.className = className;
    }

    /**
     * 参数ID
     * @return value
     */
    public String getFactorId() {
        return factorId;
    }

    /**
     * 参数ID
     * @param factorId value
     */
    public void setFactorId(String factorId) {
        this.factorId = factorId;
    }

    /**
     * 参数名称
     * @return value
     */
    public String getFactorName() {
        return factorName;
    }

    /**
     * 参数名称
     * @param factorName value
     */
    public void setFactorName(String factorName) {
        this.factorName = factorName;
    }

    /**
     * 参数值
     * @return value
     */
    public String getFactorVal() {
        return factorVal;
    }

    /**
     * 参数值
     * @param factorVal value
     */
    public void setFactorVal(String factorVal) {
        this.factorVal = factorVal;
    }

    /**
     * 机组ID
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 机组ID
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 机组名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 机组名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 工序点代码
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点代码
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}